# Uses of Interface
org.gitana.platform.client.support.ObjectFactory

Packages that use ObjectFactory
Package
Description
org.gitana.platform.client
org.gitana.platform.client.attachment
org.gitana.platform.client.beans
org.gitana.platform.client.cluster
org.gitana.platform.client.datastore
org.gitana.platform.client.deletion
org.gitana.platform.client.node
org.gitana.platform.client.platform
org.gitana.platform.client.support
org.gitana.platform.client.team

## Uses of ObjectFactory in org.gitana.platform.client

Methods in org.gitana.platform.client that return ObjectFactory
Modifier and Type
Method
Description
`ObjectFactory`
Driver.`getFactory()`

## Uses of ObjectFactory in org.gitana.platform.client.attachment

Methods in org.gitana.platform.client.attachment that return ObjectFactory
Modifier and Type
Method
Description
`protected ObjectFactory`
AttachmentImpl.`getFactory()`

## Uses of ObjectFactory in org.gitana.platform.client.beans

Methods in org.gitana.platform.client.beans with parameters of type ObjectFactory
Modifier and Type
Method
Description
`void`
TraversalResults.`parse(ObjectFactory factory, Branch branch, Response response)`

## Uses of ObjectFactory in org.gitana.platform.client.cluster

Methods in org.gitana.platform.client.cluster that return ObjectFactory
Modifier and Type
Method
Description
`protected ObjectFactory`
AbstractClusterDocumentImpl.`getFactory()`

## Uses of ObjectFactory in org.gitana.platform.client.datastore

Methods in org.gitana.platform.client.datastore that return ObjectFactory
Modifier and Type
Method
Description
`protected ObjectFactory`
AbstractDataStoreImpl.`getFactory()`

## Uses of ObjectFactory in org.gitana.platform.client.deletion

Methods in org.gitana.platform.client.deletion that return ObjectFactory
Modifier and Type
Method
Description
`protected ObjectFactory`
DeletionImpl.`getFactory()`

## Uses of ObjectFactory in org.gitana.platform.client.node

Methods in org.gitana.platform.client.node that return ObjectFactory
Modifier and Type
Method
Description
`protected ObjectFactory`
BaseNodeImpl.`getFactory()`

## Uses of ObjectFactory in org.gitana.platform.client.platform

Methods in org.gitana.platform.client.platform that return ObjectFactory
Modifier and Type
Method
Description
`protected ObjectFactory`
AbstractPlatformDocumentImpl.`getFactory()`

## Uses of ObjectFactory in org.gitana.platform.client.support

Classes in org.gitana.platform.client.support that implement ObjectFactory
Modifier and Type
Class
Description
`class`
`ObjectFactoryImpl`

## Uses of ObjectFactory in org.gitana.platform.client.team

Methods in org.gitana.platform.client.team that return ObjectFactory
Modifier and Type
Method
Description
`protected ObjectFactory`
TeamImpl.`getFactory()`